//
//  ViewController.m
//  Test2
//
//  Created by 简豪 on 16/7/6.
//  Copyright © 2016年 codingMan. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (nonatomic,strong)NSMutableArray *CBPreList;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _CBPreList = [NSMutableArray arrayWithArray:@[@"1",@"2"]];
    
    [self savePlist];
    NSLog(@"%@",_CBPreList);
}
- (NSString *)plistPath
{
    NSString *docPath = [NSHomeDirectory() stringByAppendingPathComponent:@"Documents"];
    NSString *filePath = [docPath stringByAppendingPathComponent:@"CBPre.plist"];
    
    return filePath;
}

- (NSMutableArray *)CBPreList
{
    if(_CBPreList == nil)
    {
        // 判断存档文件是否存在，如果之前已有存档文件，则从存档中读取出来以前的数据
        NSFileManager *fm = [NSFileManager defaultManager];
        if([fm fileExistsAtPath:[self plistPath]])
        {
            _CBPreList = [NSMutableArray arrayWithContentsOfFile:[self plistPath]];
        }
        else
        {
            // 没有存档文件则新建一个空数组
            _CBPreList= [NSMutableArray array];
        }
    }
    return _CBPreList;
}

- (void)savePlist
{
    // 写入到文件
    [self.CBPreList writeToFile:[self plistPath] atomically:YES];
}











- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
